# Uses of Enum Class
org.bukkit.entity.Fox.Type

Packages that use Fox.Type
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Fox.Type in org.bukkit.entity

Methods in org.bukkit.entity that return Fox.Type
Modifier and Type
Method
Description
`@NotNull Fox.Type`
Fox.`getFoxType()`
Gets the current type of this fox.
`static Fox.Type`
Fox.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Fox.Type[]`
Fox.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Fox.Type
Modifier and Type
Method
Description
`void`
Fox.`setFoxType(@NotNull Fox.Type type)`
Sets the current type of this fox.